**********************************************************************************************************************
**********************************************************************************************************************
**********************************************************************************************************************
************* How Often Do Dictators Have Positive Economic Effects? Global Evidence, 1858-2010 **********************
************* Replication code: Table 12 (Section 6 of the paper) ****************************************************
************* Stephanie Rizio and Ahmed Skali ************************************************************************ 
************* June 2019 **********************************************************************************************
**********************************************************************************************************************
**********************************************************************************************************************
**********************************************************************************************************************


****************************** Panel (a): Growth-positive autocrats

* load data

use "rdd_pos.dta", clear

************ COLS 3 AND 4

* Calculate Cohen's d
 
 cap drop mean1 mean2 sd1 sd2 sd_pooled cohen_d  meancohen countobs_cohen

 sum growth_unexp if time<0
 
 g mean1 = r(mean)
 g sd1 = r(sd)
 
  sum growth_unexp if time>=0
  
  g mean2 = r(mean)
  g sd2 = r(sd)
  
  g sd_pooled = sqrt(((sd1^2 + sd2^2) / 2))
  
  g cohen_d = (abs(mean2 - mean1)) / sd_pooled

  sum cohen_d
  
  g meancohen = r(mean)
  
  
  g countobs_cohen= _N / 2
  
  sum meancohen countobs_cohen
  
  
  ** Get power with -rdpower- command
  
  rdpower rd1, es(.6237653) n(143.5)
  
* Column 3:
rdrobust growth_unexp time  , c(0) p(1) bwselect(cct) all

* Column 4:
rdrobust growth_unexp time , c(0) p(1) bwselect(ik) all

************ COLS 1 AND 2

* Restrict window to 5 years to get estimates from C1, C2

 g window_5 = 0
 replace window_5 = 1 if time>-6 & time<6
 
 keep if window_5==1
 
 cap drop pre countobs pre_elig post_elig in_post in_pre eligible
g pre = (time<0)

bys countryname pre: egen countobs=count(growth_unexp)

tab pre countobs

g pre_elig=0
replace pre_elig=1 if pre==1 & countobs>1

g post_elig=0
replace post_elig=1 if pre==0 & countobs>1

bys cid: egen in_post = max(post_elig)
bys cid: egen in_pre = max(pre_elig)

tab in_post in_pre

g eligible = in_post * in_pre


 keep if eligible==1
 
  
 ** Cohen's d
 
  cap drop mean1 mean2 sd1 sd2 sd_pooled cohen_d  meancohen countobs_cohen

 sum growth_unexp if time<0
 
 g mean1 = r(mean)
 g sd1 = r(sd)
 
  sum growth_unexp if time>=0
  
  g mean2 = r(mean)
  g sd2 = r(sd)
  
  g sd_pooled = sqrt(((sd1^2 + sd2^2) / 2))
  
  g cohen_d = (abs(mean2 - mean1)) / sd_pooled

  sum cohen_d
  
  g meancohen = r(mean)
  
  
  g countobs_cohen= _N / 2
  
  sum meancohen countobs_cohen
  

  rdpower rd1, es(.6075546) n(80.5)

* C1
rdrobust growth_unexp time if window_5==1 , c(0) p(1) all bwselect(cct)

* C2
rdrobust growth_unexp time if window_5==1 , c(0) p(1) all bwselect(ik)




****************************** Panel (b): Growth-negative autocrats

* load data

use "rdd_neg.dta", clear

************ COLS 3 AND 4

* Calculate Cohen's d
 
 cap drop mean1 mean2 sd1 sd2 sd_pooled cohen_d  meancohen countobs_cohen

 sum growth_unexp if time<0
 
 g mean1 = r(mean)
 g sd1 = r(sd)
 
  sum growth_unexp if time>=0
  
  g mean2 = r(mean)
  g sd2 = r(sd)
  
  g sd_pooled = sqrt(((sd1^2 + sd2^2) / 2))
  
  g cohen_d = (abs(mean2 - mean1)) / sd_pooled

  sum cohen_d
  
  g meancohen = r(mean)
  
  
  g countobs_cohen= _N / 2
  
  sum meancohen countobs_cohen
  
  
  ** Get power with -rdpower- command
  
  rdpower rd1, es(.4851435) n(230)
  
* Column 3:
rdrobust growth_unexp time  , c(0) p(1) bwselect(cct) all

* Column 4:
rdrobust growth_unexp time , c(0) p(1) bwselect(ik) all

************ COLS 1 AND 2

* Restrict window to 5 years to get estimates from C1, C2

 g window_5 = 0
 replace window_5 = 1 if time>-6 & time<6
 
 keep if window_5==1
 
 cap drop pre countobs pre_elig post_elig in_post in_pre eligible
g pre = (time<0)

bys countryname pre: egen countobs=count(growth_unexp)

tab pre countobs

g pre_elig=0
replace pre_elig=1 if pre==1 & countobs>1

g post_elig=0
replace post_elig=1 if pre==0 & countobs>1

bys cid: egen in_post = max(post_elig)
bys cid: egen in_pre = max(pre_elig)

tab in_post in_pre

g eligible = in_post * in_pre


 keep if eligible==1
 
  
 ** Cohen's d
 
  cap drop mean1 mean2 sd1 sd2 sd_pooled cohen_d  meancohen countobs_cohen

 sum growth_unexp if time<0
 
 g mean1 = r(mean)
 g sd1 = r(sd)
 
  sum growth_unexp if time>=0
  
  g mean2 = r(mean)
  g sd2 = r(sd)
  
  g sd_pooled = sqrt(((sd1^2 + sd2^2) / 2))
  
  g cohen_d = (abs(mean2 - mean1)) / sd_pooled

  sum cohen_d
  
  g meancohen = r(mean)
  
  
  g countobs_cohen= _N / 2
  
  sum meancohen countobs_cohen
  

  rdpower rd1, es(.5390294) n(122)

* C1
rdrobust growth_unexp time if window_5==1 , c(0) p(1) all bwselect(cct)

* C2
rdrobust growth_unexp time if window_5==1 , c(0) p(1) all bwselect(ik)
